#
# Conditional build:
%bcond_without	tests	# perform "make test"

%define		pdir	DateTime
%include	/usr/lib/rpm/macros.perl
Summary:	DateTime - representation of date/time combinations
Summary(pl.UTF-8):	DateTime - reprezentacja kombinacji daty i czasu
Name:		perl-DateTime
Version:	1.03
Release:	3
Epoch:		2
License:	Artistic 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{version}.tar.gz
# Source0-md5:	ea0fc830410b9ce3baeef3525bc0acdd
URL:		http://datetime.perl.org/
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build >= 0.3601
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Time::Local) >= 1.04
BuildRequires:	perl-DateTime-Format-Strptime >= 1.2000
BuildRequires:	perl-DateTime-Locale >= 0.41
BuildRequires:	perl-DateTime-TimeZone >= 3:1.09
BuildRequires:	perl-Math-Round
BuildRequires:	perl-Params-Validate >= 0.76
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple >= 0.88
%endif
Requires:	perl-base >= 1:5.8.7-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime is a class for the representation of date/time combinations,
and is part of the Perl DateTime project. For details on this project
please see <http://datetime.perl.org/>. The DateTime site has a FAQ
which may help answer many "how do I do X?" questions. The FAQ is at
<http://datetime.perl.org/faq.html>.

%description -l pl.UTF-8
DateTime to klasa do reprezentowania kombinacji daty i czasu, będąca
częścią perlowego projektu DateTime. Szczegóły dotyczące tego projektu
można znaleźć pod adresem <http://datetime.perl.org/>. Serwis ten ma
swoje FAQ, gdzie można znaleźć odpowiedzi na wiele pytań - dostępne
pod <http://datetime.perl.org/faq.html>.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	--config cc="%{__cc}" \
	--config ld="%{__cc}" \
	--config optimize="%{rpmcflags}"

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	destdir=$RPM_BUILD_ROOT

# for noarch DateTime::* modules
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/{Event,Format}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README CREDITS TODO leaptab.txt
%dir %{perl_vendorlib}/DateTime/Event
%dir %{perl_vendorlib}/DateTime/Format
%{perl_vendorarch}/DateTime.pm
%{perl_vendorarch}/DateTimePP.pm
%{perl_vendorarch}/DateTimePPExtra.pm
%{perl_vendorarch}/DateTime/*.pm
%dir %{perl_vendorarch}/auto/DateTime
%attr(755,root,root) %{perl_vendorarch}/auto/DateTime/DateTime.so
%{_mandir}/man3/DateTime*.3pm*
%changelog
* Sat Sep 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime.git;a=log;h=master

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> f7c3f49
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cc65c15
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 99debdb
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 5c89c9a
- perl 5.8.1 is required

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> a65a9d5
- up to 1.03

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7f648e0
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 1a4120b
- updated to 0.74

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 39ada8d
- up to 0.72

* Sat Dec 10 2011 Elan Ruusamäe <glen@pld-linux.org> 2fbfc65
- release 1

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> ad1ed8b
- updated to 0.66

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> ae85cbc
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9793692
- release 2

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 6d9ba87
- updated to 0.50
- epoch 2
- bump version of BR perl-DateTime-TimeZone to 1:0.59

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 7d74b38
- updated to 0.4501

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> adae771
- release 2

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 465c2e4
- up to 0.42

* Mon Feb 11 2008 radek <radek@pld-linux.org> 63a84fb
- version 0.41

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f6e3b6
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 400714c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Mar 26 2007 radek <radek@pld-linux.org> 36ca27c
- version 0.36, kill circular BRs

